<?php
    
    global $tpl , $db , $page , $error , $c;

    if( $data = $db->row("select * from `page` where `id`='{$c->id}'")){
        html::editor();
    
        if(core::POST()) $page->valid();
    
        $page->field('name',array(
            'name' => 'nazwa',
            'max_len' => 100,
            'strip_tags' => true
        ));
    
        $page->field('keywords',array(
            'name' => 'słowa kluczowe',
            'max_len' => 255,
            'strip_tags' => true
        ));
    
        $page->field('description',array(
            'name' => 'słowa kluczowe',
            'max_len' => 255,
            'strip_tags' => true
        ));
        
        if(empty($_REQUEST['value'])) error::$i->put('Podaj treść strony');
        else query::$i->put(esc($_REQUEST['value']),'value');
        
        $page->StdValid('page');
        
        $tpl->assign(array(
            'data' => (array_merge( $data  , $_POST ))
        ));
        
        admin::$i->on();
    
    } else page::setError( CE_EXISTS );

?>